summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEduard Braun <eduard.braun2@gmx.de>2017-07-10 01:51:59 +0000
committerEduard Braun <eduard.braun2@gmx.de>2017-07-13 17:12:11 +0000
commitc9b70e747db70a565252d8300f144595c55e8ffe (patch)
treea6408215ca2af04631e9ad187dac70a4e46f49f1
parentAdd functionality to msys2checkdeps.py to check for libraries which were inst... (diff)
downloadinkscape-c9b70e747db70a565252d8300f144595c55e8ffe.tar.gz
inkscape-c9b70e747db70a565252d8300f144595c55e8ffe.zip
CI: run check for missing/unused dependecies in AppVeyor
-rw-r--r--appveyor.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/appveyor.sh b/appveyor.sh
index 6818aa3b5..70b983f09 100644
--- a/appveyor.sh
+++ b/appveyor.sh
@@ -25,7 +25,7 @@ EOF
# install dependencies
message "--- Installing dependencies"
source ../msys2installdeps.sh
-pacman -S $MINGW_PACKAGE_PREFIX-{ccache,gtest} --needed --noconfirm --noprogressbar
+pacman -S $MINGW_PACKAGE_PREFIX-{ccache,gtest,ntldd-git} --needed --noconfirm --noprogressbar
ccache --max-size=200M
@@ -51,6 +51,7 @@ ccache --show-stats
# install
message "--- Installing the project"
ninja install || error "installation failed"
+python ../msys2checkdeps.py check inkscape/ || error "missing libraries in installed project"
# test
message "--- Running tests"
@@ -62,7 +63,7 @@ if [ -n "$err" ]; then warning "installed executable produces output on stderr:"
# check if the uninstalled executable works
INKSCAPE_DATADIR=../share bin/inkscape.exe -V >/dev/null || error "uninstalled executable won't run"
err=$(INKSCAPE_DATADIR=../share bin/inkscape.exe -V 2>&1 >/dev/null)
-if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
+if [ -n "$err" ]; then warning "uninstalled executable produces output on stderr:"; echo "$err"; fi
# run tests (don't fail yet as most tests SEGFAULT on exit)
#ninja check || warning "tests failed" # disabled because of sporadic deadlocks :-(